<?php
/**
Plugin Name: FCC Ribbon 
Plugin URI: http://www.fullo.net
Description: Add a barcamp ribbon on your blog without touching the theme
Version: 0.1
Author: Francesco Fullone
Author URI: http://www.fullo.net/
 */

add_action('wp_head', 'fcc_ribbon_head');
function fcc_ribbon_head()
{	
	$ribbon = get_option('fcc_ribbon');
	
	$css = "\n<style type='text/css'>";
	$css .= "a#ribbon { display:block; position:fixed; top:0; ";
	$css .= ($ribbon['align']=='left')?"left:0; ":"right:0; ";
	$css .= "background:url(".$ribbon['image'].") no-repeat top left; ";
	$css .= "height:85px; width:85px; text-indent:-999px; }";
	$css .= "</style>\n";
	
	echo $css;
}

add_action('wp_footer','fcc_ribbon_footer');
function fcc_ribbon_footer()
{	
	$ribbon = get_option('fcc_ribbon');
	echo '<a id="ribbon" href="'.$ribbon['url'].'" title="'.$ribbon['text'].'">'.$ribbon['text'].'</a>';
}

add_action('admin_menu', 'fcc_ribbon_admin');
function fcc_ribbon_admin()
{	
	if ( function_exists('add_submenu_page') )
	add_options_page(__('Ribbon Manager','fcc'),__('Ribbon Manager','fcc'), 'manage_options', 'fcc_ribbon', 'fcc_ribbon_page');
}

if ( ! function_exists('wp_nonce_field') )
{
	function fcc_ribbon_nonce_field($action = -1) { return; }
	$fcc_ribbon_nonce = -1;
}
else
{
	function fcc_ribbon_nonce_field($action = -1) { return wp_nonce_field($action); }
	$fcc_ribbon_nonce = 'fcc_ribbon_save';
}



function fcc_ribbon_page()
{
	global $fcc_ribbon_nonce;
	
	if ( isset($_POST['submit']) )
	{
		if ( function_exists('current_user_can') && !current_user_can('manage_options') )
			die(__('Cheatin&#8217; uh?'));

		check_admin_referer($fcc_ribbon_nonce);
		update_option('fcc_ribbon', array(
											'url' => $_POST['fcc_ribbon_url'],
											'align' => $_POST['fcc_ribbon_align'],
											'image' => $_POST['fcc_ribbon_img'],
											'text' => $_POST['fcc_ribbon_text'],
											)
					);
			
	}	
	
	$ribbon_code = get_option('fcc_ribbon');
?>

	<div class="wrap">
		<h2>Fcc Ribbon manager</h2>
		<div class="">
		<p>
			This plugin add a ribbon on your template without touching the code.<br/>
			Upload the image, put the image url in the image location and add the destination url for the ribbon himself.
		</p>
		</div>
		<form name="form1" method="post" action="">
			<?php fcc_ribbon_nonce_field($fcc_ribbon_nonce) ?>
			<fieldset class="options">
		
			<legend>Add a CSS Ribbon to your WP Theme</legend>
			<table width="100%" cellspacing="2" cellpadding="5" class="editform">
			<tr valign="top">
				<th width="33%" scope="row">Image Location Url:</th>
				<td><input type="text" size="40" name="fcc_ribbon_img" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;" value="<?php echo $ribbon_code['image']; ?>"/></td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Destination Url:</th>
				<td><input type="text" size="40" name="fcc_ribbon_url" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;" value="<?php echo $ribbon_code['url']; ?>"/></td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Title Url:</th>
				<td><input type="text" size="40" name="fcc_ribbon_text" style="font-family: 'Courier New', Courier, mono; font-size: 0.9em;" value="<?php echo $ribbon_code['text']; ?>"/></td>
			</tr>
			<tr valign="top">
				<th width="33%" scope="row">Align:</th>
				<td>
					<select name="fcc_ribbon_align">
					<?php if ($ribbon_code['align'] == 'left') { $left = 'selected="selected"'; $right = '';} else {$right = 'selected="selected"'; $left = '';} ?>
					<option value="left" <?=$left?> ><?php echo __('Left');?></option>				
					<option value="right" <?=$right?> ><?php echo __('Right');?></option>				
					</select>
				</td>
			</tr>
			</table>
			
			</fieldset>
			<p><input type="submit" name="submit" value="<?php _e('update');?>" /></p>
		</form>
	</div>

<?php
}

?>